function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fCancelar(){
	SM("L");
}
//**************************************************************************
function fGuardar(){
	var cod=gv("TxtId");
	var nom=gv("Nom");
	var hab=gv("Hab");
	var StrF=gv("Foto");
	//
	if(jL(nom)==0){
		return AF("Ingrese el nombre de la marca","Nom");
	}
	if(jL(hab)==0){
		return AF("Determine si estara habilitado","Hab");
	}
	//
	if(jLen(StrF)>0){
		StrF=StrF.toUpperCase();
		var png=StrF.indexOf(".JPG");
		if(png==-1){			
			return AF("Solo se permite imagenes de los siguientes formatos .jpg ","Foto");
		}
		var F11=document.getElementById("Foto");
		var StrFile = F11.files[0];
		if(StrFile.size>1024*1024){
			alert("El tamaño del archivo no debe ser superior a 1 MB");
			jF("Foto");
			return;
		}
	}
	//	
	if(gv("CmdG")=="Guardar"){
		if(preG()){
			document.getElementById("CmdG").disabled=true;		
			SM("G");
		}
	}else{
		if(preM()){
			document.getElementById("CmdG").disabled=true;		
			SM("M");
		}
	}	
}
//
function fEfoto(){
	if(pre("Esta seguro que desea Eliminar la Foto Actual")){
		SM("EF");
	}
}
